Межсайтовый скриптинг в HTML Purifier

Дата публикации:
23.06.2008
Всего просмотров:
1344
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
HTML Purifier 2.x
HTML Purifier 3.x
Уязвимые версии: HTML Purifier версии до 2.1.5 и 3.1.1

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в библиотеке, содержащий CSS данные. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости исходящая кодировка должны быть установлена в значение Shift_JIS.

URL производителя: htmlpurifier.org

Решение: Установите последнюю версию 2.1.5 или 3.1.1 с сайта производителя.

или введите имя

CAPTCHA